summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-08-05 10:59:51 -0500
committerAustin English <wizardedit@gentoo.org>2016-08-05 11:35:21 -0500
commit091c739bf295b867a95ec00ec337e6ab328b2d5b (patch)
tree08a24e96fa8ef13ec0696d003d020b58dd9239b9 /games-kids
parentgames-kids/crayon-physics: remove deprecated games eclass (diff)
downloadgentoo-091c739bf295b867a95ec00ec337e6ab328b2d5b.tar.gz
gentoo-091c739bf295b867a95ec00ec337e6ab328b2d5b.tar.bz2
gentoo-091c739bf295b867a95ec00ec337e6ab328b2d5b.zip
games-kids/cubetest: remove deprecated games eclass
Also update to EAPI 6 Gentoo-Bug: https://bugs.gentoo.org/574082 Package-Manager: portage-2.3.0
Diffstat (limited to 'games-kids')
-rw-r--r--games-kids/cubetest/cubetest-0.9.4-r1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/games-kids/cubetest/cubetest-0.9.4-r1.ebuild b/games-kids/cubetest/cubetest-0.9.4-r1.ebuild
new file mode 100644
index 00000000000..20c3da26d81
--- /dev/null
+++ b/games-kids/cubetest/cubetest-0.9.4-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="A program to train your spatial insight"
+HOMEPAGE="http://www.vandenoever.info/software/cubetest/"
+SRC_URI="http://www.vandenoever.info/software/cubetest/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="dev-qt/qtcore:4[qt3support]
+ dev-qt/qtgui:4"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-build.patch
+)
+
+src_prepare() {
+ local i
+
+ default
+
+ for i in $(find src/ -iname *_moc.cpp) ; do
+ moc ${i/_moc.cpp/.h} -o $i || die
+ done
+}